
function melkepst=mfcc(x,Fvz,winlen,overlen,p,NFFT)


%----------------------------------------------------------------------

% Funkce pro vypocet MFCC koeficientu vstupni reci

% melkepst   matice mfcc koeficientu reci s rozmery: pocet mfcc koeficientu
%            jednoho segmentu (p)X pocet segmentu (N)

% x          vstupni segment 

% Fvz        vzorkovaci kmitocet

% winken     delka okna 

% overlen    delka prekryvu 

% p          pocet pouzitych mel filtru v bance, odpovida poctu vystupniho
%            mfcc koeficinetu jednoho segmentu

% NFFT      delka FFT 
%----------------------------------------------------------------------



% segmentace vstupni reci
Y=segmentace(x,winlen,overlen)+eps;


% vypocitame spektrum segmentu
S=abs(fft(Y,NFFT));
% vyberem pouze jednu polovinu
S=S(1:fix(NFFT/2),:);

% vypocitame banku melovskych filtru
M=melbanka(p,Fvz,NFFT);

% vypocitame diskretni kosinovu transformaci
melkepst= dct(log(M*S));

% vypocitame energii jednotlivych segmentu a nhradime vypocitanou energii
% prvni koeficient mfcc jednotlivych segmentu
E=log(sum(Y.^2));
melkepst(1,:)=E;

